class_name CookingStartAction

static func startCookingCallable(params:Dictionary) -> int:
  assert(params.has("recipe"))

  SCENE.setScene(SceneSingleton.SceneType.COOKING)
  COOKING.start({
    'recipe': params['recipe'],
    'cutscene': params.get('cutscene', null)
  })
  return Cutscene.CUTSCENE_CONTINUE

static func getStartCookingCallable(params:Dictionary) -> Dictionary:
  assert(params.has("recipe"))
  return {
    "function": startCookingCallable,
    'recipe': params['recipe']
  }